package com.jasamedika.medifirst2000.vo;

import javax.persistence.Column;
import javax.persistence.JoinColumn;
import javax.persistence.ManyToOne;
import javax.validation.constraints.NotNull;

import com.jasamedika.medifirst2000.base.vo.BaseTransactionVO;
import com.jasamedika.medifirst2000.helper.Caption;

public class RegionalVO extends BaseTransactionVO{
	
	@ManyToOne
	@JoinColumn(name = "PerencanaanAnestesiFk")
	@NotNull(message = "Perencanaan Anestesi tidak boleh kosong")
	private PerencanaanAnestesiVO perencanaanAnestesi;
	
	@Column(name = "PerencanaanAnestesiFk", insertable=false,updatable=false)
	private String perencanaanAnestesiId;
	
	@ManyToOne
	@JoinColumn(name = "RegionalDetailFk")
	@NotNull(message = "Regional Detail tidak boleh kosong")
	private RegionalDetailVO regionalDetail;
	
	@Column(name = "RegionalDetailFk", insertable=false,updatable=false)
	private Integer RegionalDetailId;
	
	@NotNull(message = "Is Nilai tidak boleh kosong")
	@Column(name = "isNilai")
	@Caption(value = "Is Nilai")
	private Boolean isNilai;
	
	public Boolean getIsNilai() {
		return isNilai;
	}

	public void setIsNilai(Boolean isNilai) {
		this.isNilai = isNilai;
	}

	public PerencanaanAnestesiVO getPerencanaanAnestesi() {
		return perencanaanAnestesi;
	}

	public void setPerencanaanAnestesi(PerencanaanAnestesiVO perencanaanAnestesi) {
		this.perencanaanAnestesi = perencanaanAnestesi;
	}

	public String getPerencanaanAnestesiId() {
		return perencanaanAnestesiId;
	}

	public void setPerencanaanAnestesiId(String perencanaanAnestesiId) {
		this.perencanaanAnestesiId = perencanaanAnestesiId;
	}

	public RegionalDetailVO getRegionalDetail() {
		return regionalDetail;
	}

	public void setRegionalDetail(RegionalDetailVO regionalDetail) {
		this.regionalDetail = regionalDetail;
	}

	public Integer getRegionalDetailId() {
		return RegionalDetailId;
	}

	public void setRegionalDetailId(Integer regionalDetailId) {
		RegionalDetailId = regionalDetailId;
	}
}
